# $Revision: 1.31 $, $Date: 2008/12/27 15:05:44 $
Summary:	GUI for VPN Client for various servers
Summary(pl.UTF-8):	GUI dla klienta dla różnych serwerów VPN
Name:		kvpnc
Version:	0.9.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://download.gna.org/kvpnc/%{name}-%{version}.tar.bz2
# Source0-md5:	3334211b26c2e265c032ec31448210cf
URL:		http://home.gna.org/kvpnc/en/index.html
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 9:3.2
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
Requires:	bash
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KVpnc is a KDE frontend for various VPN clients. It supports Cisco VPN
(vpnc) and IPSec (FreeS/WAN, racoon). vpnc is a replacement for the
Cisco VPN client, and is used as client for the cisco3000 VPN
Concentrator. FreeS/WAN (OpenS/WAN) is a IPSec client for Linux 2.4.x,
and raccoon is a IPSec client for Linux 2.6.x and *BSD. It also
supports PPTP (pptpclient) and OpenVPN.

%description -l pl.UTF-8
KVpnc to nakładka na klienta vpnc działajaca w środowisku KDE. Wspiera
Cisco VPN, IPSec (FreeS/WAN, racoon). vpnc jest zamiennikiem dla
klienta VPN Cisco, i jest używany jako klient dla koncentratorów VPN
cisco3000. FreeS/WAN (OpenS/WAN) jest klientem ipsecowym dla Linux
2.4.x oraz racoon w wersji 2.6.x oraz *BSD. Wspiera również protokół
PPTP (pptpclient) oraz OpenVPN.

%prep
%setup -q

cp -f /usr/share/automake/config.* admin

%build
#%{__sed} -i 's,<UI version="3.1",<UI version="3.2",' src/*.ui
#%{__make} -f admin/Makefile.common
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/config,%{_desktopdir},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/%{name}.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
mv -f $RPM_BUILD_ROOT%{_bindir}/%{name} \
	$RPM_BUILD_ROOT%{_sbindir}/%{name}

echo "Categories=Qt;KDE;System;X-Administration;" >> \
	$RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
echo "Comment[pl]=Klient vpnc dla KDE" >> \
	$RPM_BUILD_ROOT%{_datadir}/apps/kvpnc/eventsrc

install src/%{name}ui.rc $RPM_BUILD_ROOT%{_datadir}/config

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/apps/kvpnc
%{_datadir}/config/*
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/*/*
# shouldn't be as regular %doc?
%{_kdedocdir}/kvpnc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kvpnc.spec,v $
Revision 1.31  2008/12/27 15:05:44  adamg
- updated to 0.9.1

Revision 1.30  2008-03-11 22:37:54  witekfl
- utf-8 in pl summary

Revision 1.29  2008-01-12 15:48:21  prism
- automatically generated script is not really sh-compatible

Revision 1.28  2007/05/02 10:48:27  shadzik
- 0.8.9

Revision 1.27  2007/02/13 20:41:26  rotom
- up to 0.8.8

Revision 1.26  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.24  2006/12/13 13:33:36  glen
- junk removed from changelog commit

Revision 1.23  2006/12/13 12:39:14  shadzik
- since it's a klient for KDE group should be X11/Applications - fixed

Revision 1.22  2006/12/13 12:32:37  shadzik
- epoch BR

Revision 1.21  2006/12/13 08:31:47  rotom
- up to 0.8.7

Revision 1.20  2006/09/28 23:50:32  shadzik
- 0.8.6.1

Revision 1.19  2006/09/25 02:09:52  shadzik
- 0.8.6

Revision 1.18  2006/05/23 18:26:38  qboosh
- missing dir

Revision 1.17  2006/05/20 14:38:41  shadzik
- %{_docdir} -> %{_kdedocdir}

Revision 1.16  2006/05/20 14:22:55  shadzik
- up to 0.8.5.1

Revision 1.15  2006/04/16 08:53:34  qboosh
- fixed amd64-centrisms; refresh config.sub instead of patching
- removed unsupported locolor icons

Revision 1.14  2006/04/09 16:34:52  mkierus
- up to 0.8.4

Revision 1.13  2005/07/26 17:46:52  adamg
- updated to 0.7.2; typos; release 1

Revision 1.12  2005/06/25 19:21:22  darekr
- BR: libstdc++-devel

Revision 1.11  2005/06/25 19:16:33  darekr
- fixed URL

Revision 1.10  2005/06/25 19:12:07  blekot
- up to 0.7

Revision 1.9  2005/05/07 07:09:38  qboosh
- restored original Source URL

Revision 1.8  2005/05/01 19:22:24  misi3k
- up to 0.6.1
- temporary switch SOURCE0 to gentoo distfiles (main site is down)
- more descryption

Revision 1.7  2005/02/27 19:04:40  charles
- updated to 0.6

Revision 1.6  2004/12/30 12:00:41  qboosh
- restored dots, files fix

Revision 1.5  2004/12/30 10:44:23  charles
- updated to 0.5.1
- BR kdelibs-devel up to >= 3.2
- BR sed >= 4.0
- and much, much changes

Revision 1.4  2004/10/12 09:31:53  qboosh
- include kde html, disable unusable locolor icons for now

Revision 1.3  2004/10/12 04:54:22  misi3k
- rel 0.3, desktop file

Revision 1.2  2004/10/08 16:53:53  misi3k
- rel 0.2, rc file

Revision 1.1  2004/10/08 16:23:23  misi3k
- new
